Page MenuHomeFreeBSD

editors/emacs: Update to version 25.2
ClosedPublic

Authored by jrm on Apr 22 2017, 12:44 AM.

Details

Reviewers
ashish
swills
Summary
  • Make gtk3 the default X11 toolkit since gtk3 is upstream's first choice and upstream considers gtk2 deprecated.
Test Plan

portlint -C: warning about adding an NLS knob
testport: OK (poudriere: 10.3-RELEASE-p10, i386, default options)
testport: OK (poudriere: 10.3-RELEASE-p10, amd64, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, i386, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, amd64, default options)

All other options except xwidgets were tested. A poudriere testport run
with xwdigets turned on is running now, but will take about 8 hours for
webkit-gtk3 to compile. I will report back when it completes.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 8841
Build 9217: arc lint + arc unit

Event Timeline

jrm created this revision.Apr 22 2017, 12:44 AM
jrm added a comment.EditedApr 22 2017, 11:03 AM

The build also succeeded (under 11amd64) with xwidgets turned on.

ashish accepted this revision.Apr 22 2017, 7:25 PM

Works fine for me too. Please go ahead and commit.

Thank you

This revision is now accepted and ready to land.Apr 22 2017, 7:25 PM
jrm closed this revision.Apr 22 2017, 7:48 PM

Committed in r439187 (I forgot to reference the revision in the commit message).